aboutsummaryrefslogtreecommitdiff
path: root/mail
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-01-04 20:48:25 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-01-04 20:48:25 +0000
commit77cedbbc4060c9876910e9852d5a9f42a4131a7e (patch)
treed1b72d6c150b9ce3e5f06abaddcba6d894b5a10b /mail
parent8485bad7ed18ab76f9e84ade7838cb469c8febab (diff)
downloadslackbuilds-77cedbbc4060c9876910e9852d5a9f42a4131a7e.tar.gz
slackbuilds-77cedbbc4060c9876910e9852d5a9f42a4131a7e.tar.bz2
added sylpheed
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1576 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'mail')
-rw-r--r--mail/client/sylpheed/slack-required36
-rwxr-xr-xmail/client/sylpheed/sylpheed.SlackBuild152
2 files changed, 188 insertions, 0 deletions
diff --git a/mail/client/sylpheed/slack-required b/mail/client/sylpheed/slack-required
new file mode 100644
index 00000000..f7b1c6cc
--- /dev/null
+++ b/mail/client/sylpheed/slack-required
@@ -0,0 +1,36 @@
+# Dependency list to sylpheed
+#
+# dependency [condition] [version]]
+aspell >= 0.60.5
+atk >= 1.18.0
+cairo >= 1.4.12
+cxxlibs >= 6.0.8
+gcc-g++ >= 4.1.2
+cyrus-sasl >= 2.1.22
+expat >= 2.0.1
+fontconfig >= 2.4.2
+freetype >= 2.3.4
+gcc >= 4.1.2
+glib2 >= 2.12.12
+glibc-solibs >= 2.5
+gpgme >= 1.1.4
+gtk+2 >= 2.10.13
+gtkspell >= 2.0.11
+libX11 >= 1.1.1
+libXau >= 1.0.3
+libXcursor >= 1.1.8
+libXdmcp >= 1.0.2
+libXext >= 1.0.3
+libXfixes >= 4.0.3
+libXi >= 1.0.4
+libXinerama >= 1.0.2
+libXrandr >= 1.2.1
+libXrender >= 0.9.2
+libgpg-error >= 1.5
+libpng >= 1.2.23
+libxcb >= 1.0
+openldap-client >= 2.3.32
+openssl >= 0.9.8
+openssl-solibs >= 0.9.8
+pango >= 1.16.4
+zlib >= 1.2.3
diff --git a/mail/client/sylpheed/sylpheed.SlackBuild b/mail/client/sylpheed/sylpheed.SlackBuild
new file mode 100755
index 00000000..d2638b8a
--- /dev/null
+++ b/mail/client/sylpheed/sylpheed.SlackBuild
@@ -0,0 +1,152 @@
+#!/bin/bash
+#
+# sylpheed.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# sylpheed.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for sylpheed, by Alexandre Vieira de Souza
+# requires: aspell atk cairo cxxlibs gcc-g++ cyrus-sasl expat fontconfig freetype gcc glib2 glibc-solibs gpgme gtk+2 gtkspell libX11 libXau libXcursor libXdmcp libXext libXfixes libXi libXinerama libXrandr libXrender libgpg-error libpng libxcb openldap-client openssl openssl-solibs pango zlib
+# tested: sylpheed-2.4.8
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="sylpheed"
+PKG_NAME="sylpheed"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=2.4.8}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1avs}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j4"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.bz2"
+URL="http://sylpheed.sraoss.jp/sylpheed/v2.4/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL README NEWS TODO"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+sylpheed: sylpheed by Slack.Sarava
+sylpheed:
+sylpheed: Sylpheed is an e-mail client and news reader based
+sylpheed: on GTK+ GUI toolkit, and runs on X Window System.
+sylpheed:
+sylpheed:
+sylpheed:
+sylpheed:
+sylpheed:
+sylpheed: by avs
+sylpheed:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi